
Redmine - Defect #25794

Mass-deleted attachments are not represented correctly in email notifications

2017-05-09 10:37 - Felix Schäfer

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

When deleting more than one attachment through the mass-delete attachments feature on the issue edit pane, only the first deleted

attachment is in email notifications that are sent out for this event. The journal details are also created for the remaining deleted

attachments, but they are not part of the email notifications.

This is due to source:/trunk/app/models/issue.rb@16545#L1742 calling current_journal.save after each deleted attachment. This

causes the email notification for the journal to be sent on the first time it is called, still missing the other attachment deletions.

I'm not quite sure of the best way to solve this as removing the currrent_journal.save messes with other things, for example removing

a single attachment via clicking the trash bin next to it.

Related issues:

Related to Redmine - Feature #13072: Delete multiple attachments with one action Closed

Related to Redmine - Feature #25538: Drop support for Ruby 2.2.1 and ealier, ... Closed

Related to Redmine - Defect #26627: Editing issues no longer sends notificati... Closed

Associated revisions

Revision 16573 - 2017-05-27 10:44 - Jean-Philippe Lang

Send journal notification after commit (#25794).

Revision 16582 - 2017-05-30 16:00 - Toshi MARUYAMA

Gemfile: pin test_after_commit version 0.4 (#25794)

test_after_commit >= 0.5 requires Ruby >= 2.0.0

History

#1 - 2017-05-09 10:41 - Felix Schäfer

I just noticed I linked to the wrong tag: this only affects trunk currently. Sorry for the confusion.

#2 - 2017-05-09 10:51 - Mischa The Evil

- Related to Feature #13072: Delete multiple attachments with one action added

#3 - 2017-05-09 10:56 - Mischa The Evil

- Description updated

- Affected version deleted (3.3.3)

Good catch. I've adjusted the issue properties accordingly.

#4 - 2017-05-09 11:00 - Mischa The Evil

- Description updated

Corrected the source link to current trunk. Sorry for the fuzz...

#5 - 2017-05-09 11:04 - Felix Schäfer

Thanks Mischa :-)
https://www.redmine.org/projects/redmine/repository/svn/revisions/16545/entry/trunk/app/models/issue.rb#L1742


#6 - 2017-05-27 10:46 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r16573 by sending the notification after commit.

#7 - 2017-05-27 10:49 - Go MAEDA

- Target version set to 3.4.0

Setting target version to put this issue in changelog.

#8 - 2017-05-27 10:53 - Jean-Philippe Lang

- Target version deleted (3.4.0)

This defect is related to a feature added in 3.4.0, it should not appear in the changelog.

#9 - 2017-06-06 08:31 - Go MAEDA

- Related to Feature #25538: Drop support for Ruby 2.2.1 and ealier, 2.2.2+ is now required added

#10 - 2017-08-05 05:55 - Toshi MARUYAMA

- Related to Defect #26627: Editing issues no longer sends notifications to previous assignee added
